Support » Plugin: JQuery Mega Menu Widget » what is these erorrs?

  • Hello
    what about these errors?

    Strict Standards: Non-static method dc_jqmegamenu::get_plugin_directory() should not be called statically in \xx\xx\xx\wp-content\plugins\jquery-mega-menu\dcwp_jquery_mega_menu.php on line 32
    Strict Standards: Non-static method dc_jqmegamenu::get_plugin_directory() should not be called statically in \xx\xx\xx\wp-content\plugins\jquery-mega-menu\dcwp_jquery_mega_menu.php on line 39

    Strict Standards: Non-static method dc_jqmegamenu::get_plugin_directory() should not be called statically, assuming $this from incompatible context in \xx\xx\xx\wp-content\plugins\jquery-mega-menu\dcwp_jquery_mega_menu_widget.php on line 208

    thank you

    https://wordpress.org/plugins/jquery-mega-menu/

Viewing 1 replies (of 1 total)
  • The plugin doesn’t adhere to strict PHP standards, you can fix this issue by changing rows 45-47 in that file from:

    function get_plugin_directory(){
    		return plugins_url() . '/jquery-mega-menu';
    	}

    to:

    public static function get_plugin_directory(){
    		return plugins_url() . '/jquery-mega-menu';
    	}
Viewing 1 replies (of 1 total)
  • The topic ‘what is these erorrs?’ is closed to new replies.